package sql_builder

import (
	"git.botann.com/lijun/sql-builder/db"
	"git.botann.com/tinycs/boomerang/tydb"
	"git.botann.com/tinycs/boomerang/tytaos"
)

func NewSqlBuilder[T tydb.QOneRowRst | tytaos.QOneRowRst | int](connector db.SqlConnector[T]) *db.SqlBuilder[T] {
	return &db.SqlBuilder[T]{Connector: connector}
}

func DefaultSqlBuilder() *db.SqlBuilder[tydb.QOneRowRst] {
	return NewSqlBuilder[tydb.QOneRowRst](tydb.DB())
}
